Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Types | Public Member Functions | Static Public Attributes
proofs::Cbor< Logic, IndexBits > Class Template Reference

## Data Structures
struct | decode
struct | global_witness
struct | parse_output
struct | position_witness

## Public Types
using | CounterL = Counter<Logic>
using | CborBD = CborByteDecoder<Logic>
using | Field = typename Logic::Field
using | EltW = typename Logic::EltW
using | CEltW = typename CounterL::CEltW
using | BitW = typename Logic::BitW
using | v8 = typename Logic::v8
using | bv_counters = typename Logic::template bitvec<kNCounters>
using | vindex = typename Logic::template bitvec<kIndexBits>
using | counters = std::array<CEltW, kNCounters>

## Public Member Functions
| Cbor (const Logic &l)
void | assert_decode (size_t n, const decode ds[], const position_witness pw[], const global_witness &gw) const
void | parse (size_t n, parse_output ps[], const decode ds[], const position_witness pw[], const global_witness &gw) const
void | assert_parse (size_t n, const decode ds[], const parse_output ps[], const global_witness &gw) const
void | assert_text_at (size_t n, const vindex &j, size_t len, const uint8_t bytes[], const decode ds[]) const
void | assert_unsigned_at (size_t n, const vindex &j, uint64_t u, const decode ds[]) const
void | assert_negative_at (size_t n, const vindex &j, uint64_t u, const decode ds[]) const
void | assert_bool_at (size_t n, const vindex &j, bool val, const decode ds[]) const
void | date_helper (size_t n, const vindex &j, const decode ds[], std::vector< v8 > &B) const
void | assert_date_before_at (size_t n, const vindex &j, const v8 now[], const decode ds[]) const
void | assert_date_after_at (size_t n, const vindex &j, const v8 now[], const decode ds[]) const
void | assert_atom_at (size_t n, const vindex &j, const EltW &expected, const decode ds[]) const
void | assert_header (size_t n, const vindex &j, const decode ds[]) const
void | assert_map_header (size_t n, const vindex &j, const decode ds[]) const
void | assert_map_entry (size_t n, const vindex &m, size_t level, const vindex &k, const vindex &v, const vindex &j, const decode ds[], const parse_output ps[]) const
void | assert_input_starts_at (size_t n, const vindex &jroot, const vindex &input_len, const decode ds[]) const
void | decode_all (size_t n, decode ds[], const v8 in[], const position_witness pw[]) const
void | decode_and_assert_decode (size_t n, decode ds[], const v8 in[], const position_witness pw[], const global_witness &gw) const
void | decode_and_assert_decode_and_parse (size_t n, decode ds[], parse_output ps[], const v8 in[], const position_witness pw[], const global_witness &gw) const

## Static Public Attributes
static constexpr size_t | kIndexBits = IndexBits
static constexpr size_t | kNCounters = CborConstants::kNCounters

The documentation for this class was generated from the following file:

- lib/circuits/cbor_parser/cbor.h